Hail API
POST
/emails

Header Parameters

authorization?string|null
Idempotency-Key?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/emails" \  -H "Content-Type: application/json" \  -d '{    "recipient_consent": true,    "to": [      "string"    ],    "subject": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",  "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",  "email_domain_id": "b3a00cb4-43d0-468a-8a5d-50c998cb143f",  "direction": "outbound",  "from_address": "string",  "to_addresses": [    "string"  ],  "cc_addresses": [    "string"  ],  "bcc_addresses": [    "string"  ],  "reply_to": "string",  "subject": "string",  "status": "queued",  "end_reason": "string",  "provider_message_id": "string",  "requested_at": "2019-08-24T14:15:22Z",  "sent_at": "2019-08-24T14:15:22Z",  "failed_at": "2019-08-24T14:15:22Z",  "metadata": {},  "body_text": "string",  "body_html": "string",  "message_id": "string",  "in_reply_to": "string",  "references_ids": [    "string"  ],  "spam_verdict": "string",  "virus_verdict": "string",  "dkim_verdict": "string",  "spf_verdict": "string",  "dmarc_verdict": "string",  "provider_received_at": "2019-08-24T14:15:22Z",  "raw_url": "string",  "attachments": [],  "last_event_at": "2019-08-24T14:15:22Z"}